// Data Assembler Globals
//
// This file is used both to declare the globals external for use by the program
// as well as creating the data required to link the global info.

#ifndef EXTERN
	#define EXTERN extern
#endif

EXTERN DASMPref gPrefs;

EXTERN char gOutfile[256];

EXTERN FSSpec *gOrigSpec, *gSpec;

EXTERN Ptr err_srcStart, err_lineStart, err_errStart;

EXTERN Handle gOutHandle;

EXTERN int gState, gLine, gTotalLines, gGroup, gTotalErrs, gTotalWarns;

EXTERN Boolean gFirstPass, gNewLocalGroup, gInMacro;

EXTERN HashTableHandle gPseudoTblHdl, gSymTblHdl, gMacroTblHdl, gErrorTblHdl;

EXTERN ULONG gPC, gOutIndex;

EXTERN char gLabel[VARSIZE+1];
EXTERN ULONG gLabelValue;

EXTERN char *gMacroLinePtr;

EXTERN Ptr 	gBufferEnd, gpErrWord;

// Maclib required function, empty!

void ShutdownSound(void);

// These functions are required to be in the "main" app, and are
// not part of the "generic" data assembler code! (ie, SKU specific!)

OSErr SendErrorMessage( CompilerErrorRefPtr errdata, char *errstr, char *errline );
void SendOSErrorMessage( char *errstr, OSErr err );
OSErr DisplayLines( long lines );
OSErr DisplaySecondPass( void );
OSErr FindAndLoadFile( char* file, Boolean fullSearch, FSSpec *spec, Handle *h, Size *s );
OSErr AssembleFile( FSSpec* spec, Handle *hand, Size *size );
